REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single CoworkerDiscountCode record by its Id.
{ "CoworkerId": 123, "CoworkerCoworkerType": "<string>", "CoworkerFullName": "<string>", "CoworkerBillingName": "<string>", "CoworkerCompanyName": "<string>", "BusinessId": 123, "BusinessName": "<string>", "DiscountCodeId": 123, "DiscountCodeCode": "<string>", "DiscountCodeActive": true, "DiscountCodeValidFrom": "<string>", "DiscountCodeValidTo": "<string>", "Notes": "<string>", "TimesUsed": 123, "ValidFrom": "<string>", "ExpiresOn": "<string>", "RefererGuid": "<string>", "BookingUniqueId": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
CoworkerDiscountCode-Read
curl -X GET \ "https://spaces.nexudus.com/api/billing/coworkerdiscountcodes/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "CoworkerId": 0, "CoworkerCoworkerType": null, "CoworkerFullName": null, "CoworkerBillingName": null, "CoworkerCompanyName": null, "BusinessId": 0, "BusinessName": null, "DiscountCodeId": 0, "DiscountCodeCode": null, "DiscountCodeActive": null, "DiscountCodeValidFrom": null, "DiscountCodeValidTo": null, "Notes": null, "TimesUsed": 0, "ValidFrom": null, "ExpiresOn": null, "RefererGuid": null, "BookingUniqueId": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "CoworkerDiscountCode Example", "LocalizationDetails": null, "CustomFields": null }